Bug 239399 - EXPORT_SYMBOL_GPL of pagefault_enable (and disable) breaks nvidia
Summary: EXPORT_SYMBOL_GPL of pagefault_enable (and disable) breaks nvidia
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel   
(Show other bugs)
Version: 1.0
Hardware: x86_64 Linux
medium
high
Target Milestone: ---
: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-08 07:04 UTC by IBM Bug Proxy
Modified: 2008-02-27 19:58 UTC (History)
0 users

Fixed In Version: 2.6.21-rt1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-25 12:34:09 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 34469 None None None Never

Description IBM Bug Proxy 2007-05-08 07:04:27 UTC
LTC Owner is: jstultz@us.ibm.com
LTC Originator is: dvhltc@us.ibm.com


http://www.mail-archive.com/linux-rt-users@vger.kernel.org/msg00360.html

Using EXPORT_SYMBOL instead of EXPORT_SYMBOL_GPL resolves the issue.  This
should be fixed in 2.6.21-rt, will wait to confirm first 21 based kernel drop
from redhat.

Comment 1 IBM Bug Proxy 2007-05-17 00:36:10 UTC
changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|ASSIGNED                    |FIXEDAWAITINGTEST
         Resolution|                            |FIX_ALREADY_AVAIL




------- Additional Comments From jstultz@us.ibm.com (prefers email at johnstul@us.ibm.com)  2007-05-16 20:33 EDT -------
I'm marking this fixed w/ RH's 2.6.21-rt1 based kernel. Please reopen if that's
not the case. 


Note You need to log in before you can comment on or make changes to this bug.